AssociationsDialog Class Reference

Plot associations dialog. More...

`#include <AssociationsDialog.h>`

Inheritance diagram for AssociationsDialog:

## Public Member Functions

| AssociationsDialog (QWidget *parent=0, Qt::WFlags fl=0)
void | initTablesList (QList< MdiSubWindow *> lst, int curve)
void | setGraph (Graph *g)

## Private Slots

void | accept ()
void | updateCurves ()
void | updateTable (int index)

## Private Member Functions

void | changePlotAssociation (int curve, const QStringList &lst)
bool | eventFilter (QObject *object, QEvent *e)
Table * | findTable (int index)
QStringList | plotAssociation (const QString &text)
void | uncheckCol (int col)
void | updateColumnTypes ()
void | updatePlotAssociation (int row, int col)

## Private Attributes

Table * | active_table
QListWidget * | associations
QPushButton * | btnApply
QPushButton * | btnCancel
QPushButton * | btnOK
Graph * | graph
QStringList | plotAssociationsList
QTableWidget * | table
QLabel * | tableCaptionLabel
QList< MdiSubWindow * > | tables

## Detailed Description

Plot associations dialog.

## Constructor & Destructor Documentation

## AssociationsDialog()

AssociationsDialog::AssociationsDialog | ( | QWidget * | parent = `0`,
|  | Qt::WFlags | fl = `0`
| ) |  |

References accept(), active_table, associations, btnApply, btnCancel, btnOK, table, tableCaptionLabel, updateCurves(), and updateTable().

## Member Function Documentation

## accept

void AssociationsDialog::accept | ( |  | ) |

private slot

References updateCurves().

Referenced by AssociationsDialog().

## changePlotAssociation()

void AssociationsDialog::changePlotAssociation | ( | int | curve,
|  | const QStringList & | lst
| ) |  |

private

References Graph::Box, Graph::curve(), graph, Graph::Histogram, ErrorBarsCurve::Horizontal, VectorCurve::loadData(), ErrorBarsCurve::loadData(), DataCurve::loadData(), ErrorBarsCurve::masterCurve(), Graph::masterCurve(), Graph::notifyChanges(), Graph::Pie, DataCurve::plotAssociation(), DataCurve::remove(), ErrorBarsCurve::setDirection(), ErrorBarsCurve::setMasterCurve(), VectorCurve::setVectorEnd(), DataCurve::setXColumnName(), PlotCurve::type(), VectorCurve::vectorEndXAColName(), VectorCurve::vectorEndYMColName(), and ErrorBarsCurve::Vertical.

Referenced by updateCurves().

## eventFilter()

bool AssociationsDialog::eventFilter | ( | QObject * | object,
|  | QEvent * | e
| ) |  |

private

References table, uncheckCol(), and updatePlotAssociation().

## findTable()

Table * AssociationsDialog::findTable | ( | int | index | ) |

private

References associations, and tables.

Referenced by updateTable().

## initTablesList()

void AssociationsDialog::initTablesList | ( | QList< MdiSubWindow *> | lst,
|  | int | curve
| ) |  |

References active_table, associations, and tables.

Referenced by ApplicationWindow::showPlotAssociations().

## plotAssociation()

QStringList AssociationsDialog::plotAssociation | ( | const QString & | text | ) |

private

Referenced by updateCurves().

## setGraph()

void AssociationsDialog::setGraph | ( | Graph * | g | ) |

References associations, Graph::curveCount(), Graph::Function, graph, plotAssociationsList, Graph::plotItem(), and table.

Referenced by ApplicationWindow::showPlotAssociations().

## uncheckCol()

void AssociationsDialog::uncheckCol | ( | int | col | ) |

private

References table.

Referenced by eventFilter(), and updatePlotAssociation().

## updateColumnTypes()

void AssociationsDialog::updateColumnTypes | ( |  | ) |

private

References associations, and table.

Referenced by updateTable().

## updateCurves

void AssociationsDialog::updateCurves | ( |  | ) |

private slot

References associations, changePlotAssociation(), graph, plotAssociation(), and Graph::updatePlot().

Referenced by accept(), and AssociationsDialog().

## updatePlotAssociation()

void AssociationsDialog::updatePlotAssociation | ( | int | row,
|  | int | col
| ) |  |

private

References associations, plotAssociationsList, table, and uncheckCol().

Referenced by eventFilter().

## updateTable

void AssociationsDialog::updateTable | ( | int | index | ) |

private slot

References active_table, Table::colNames(), findTable(), Table::numCols(), table, tableCaptionLabel, and updateColumnTypes().

Referenced by AssociationsDialog().

## Member Data Documentation

## active_table

Table* AssociationsDialog::active_table

private

Referenced by AssociationsDialog(), initTablesList(), and updateTable().

## associations

QListWidget* AssociationsDialog::associations

private

Referenced by AssociationsDialog(), findTable(), initTablesList(), setGraph(), updateColumnTypes(), updateCurves(), and updatePlotAssociation().

## btnApply

QPushButton * AssociationsDialog::btnApply

private

Referenced by AssociationsDialog().

## btnCancel

QPushButton * AssociationsDialog::btnCancel

private

Referenced by AssociationsDialog().

## btnOK

QPushButton* AssociationsDialog::btnOK

private

Referenced by AssociationsDialog().

## graph

Graph* AssociationsDialog::graph

private

Referenced by changePlotAssociation(), setGraph(), and updateCurves().

## plotAssociationsList

QStringList AssociationsDialog::plotAssociationsList

private

Referenced by setGraph(), and updatePlotAssociation().

## table

QTableWidget* AssociationsDialog::table

private

Referenced by AssociationsDialog(), eventFilter(), setGraph(), uncheckCol(), updateColumnTypes(), updatePlotAssociation(), and updateTable().

## tableCaptionLabel

QLabel* AssociationsDialog::tableCaptionLabel

private

Referenced by AssociationsDialog(), and updateTable().

## tables

QList<MdiSubWindow*> AssociationsDialog::tables

private

Referenced by findTable(), and initTablesList().

The documentation for this class was generated from the following files:

- qtiplot/src/plot2D/dialogs/AssociationsDialog.h
- qtiplot/src/plot2D/dialogs/AssociationsDialog.cpp